Lists which participant node vetted what packages on which synchronizer
POST
JSON Ledger API
Lists which participant node vetted what packages on which synchronizer
OpenAPISince 3.4Changed 3.5
Protocol Details
Inputs
Request body
application/json
object
OpenAPI type:
PackageMetadataFilter.Filter the VettedPackages by package metadata. A PackageMetadataFilter without package_ids and without package_name_prefixes matches any vetted package. Non-empty fields specify candidate values of which at least one must match. If both fields are set, then a candidate is returned if it matches one of the fields.object
OpenAPI type:
TopologyStateFilter.Filter the vetted packages by the participant and synchronizer that they are hosted on. Empty fields are ignored, such that a TopologyStateFilter without participant_ids and without synchronizer_ids matches a vetted package hosted on any participant and synchronizer. Non-empty fields specify candidate values of which at least one must match. If both fields are set then at least one candidate value must match from each field.string
Pagination token to determine the specific page to fetch. Using the token guarantees that
VettedPackages on a subsequent page are all greater (VettedPackages are sorted by synchronizer ID then participant ID) than the last VettedPackages on a previous page. The server does not store intermediate results between calls chained by a series of page tokens. As a consequence, if new vetted packages are being added and a page is requested twice using the same token, more packages can be returned on the second call. Leave unspecified (i.e. as empty string) to fetch the first page. Optionalnumber
OpenAPI type:
integer (int32).Maximum number of VettedPackages results to return in a single page. If the page_size is unspecified (i.e. left as 0), the server will decide the number of results to be returned. If the page_size exceeds the maximum supported by the server, an error will be returned. To obtain the server’s maximum consult the PackageService descriptor available in the VersionService. OptionalOutputs
200
application/json
VettedPackages[]
All
VettedPackages that contain at least one VettedPackage matching both a PackageMetadataFilter and a TopologyStateFilter. Sorted by synchronizer_id then participant_id. Optional: can be emptystring
Pagination token to retrieve the next page. Empty string if there are no further results. Optional
400
text/plain
string
required
default
application/json
string
required
string
required
string
string
Map_String
required
Tuple2_String_String[]
integer (int32)
required
integer (int32)
string
boolean
History
Changed
3.5The POST /v2/package-vetting/list operation changed in this snapshot.
Introduced
3.4